### Method

# FwupdPlugin Device set_name

since: 0.7.1

#### Declaration [src]

    void
    fu_device_set_name (
      FuDevice* self,
      const gchar* value
    )

#### Description [src]

Sets the name on the device. Any invalid parts will be converted or removed.

Available since: 0.7.1

#### Parameters

`value`

  Type: `const gchar*`

  A device name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.